Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query.projection
Class PropertyAuditProjection

    java.lang.Object
      org.hibernate.envers.query.projection.PropertyAuditProjection

All Implemented Interfaces:
  AuditProjection

    public class PropertyAuditProjection

extends Object
implements AuditProjection

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`PropertyAuditProjection(PropertyNameGetter propertyNameGetter, String function, boolean distinct)`

Method Summary
`Triple<String,String,Boolean>` | `getData(AuditConfiguration auditCfg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyAuditProjection

    public PropertyAuditProjection(PropertyNameGetter propertyNameGetter,
                                   String function,
                                   boolean distinct)

Method Detail

### getData

    public Triple<String,String,Boolean> getData(AuditConfiguration auditCfg)

  Specified by:
    `getData` in interface `AuditProjection`
  Parameters:
    `auditCfg` - Configuration.
  Returns:
    A triple: (function name - possibly null, property name, add distinct?).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.